# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkdms_enterprise.endpoint import endpoint_data

class UpdateAbacPolicyRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'dms-enterprise', '2018-11-01', 'UpdateAbacPolicy','dms-enterprise')
		self.set_protocol_type('https')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_AbacPolicyContent(self): # String
		return self.get_query_params().get('AbacPolicyContent')

	def set_AbacPolicyContent(self, AbacPolicyContent):  # String
		self.add_query_param('AbacPolicyContent', AbacPolicyContent)
	def get_Tid(self): # Long
		return self.get_query_params().get('Tid')

	def set_Tid(self, Tid):  # Long
		self.add_query_param('Tid', Tid)
	def get_AbacPolicyId(self): # Long
		return self.get_query_params().get('AbacPolicyId')

	def set_AbacPolicyId(self, AbacPolicyId):  # Long
		self.add_query_param('AbacPolicyId', AbacPolicyId)
	def get_AbacPolicyDesc(self): # String
		return self.get_query_params().get('AbacPolicyDesc')

	def set_AbacPolicyDesc(self, AbacPolicyDesc):  # String
		self.add_query_param('AbacPolicyDesc', AbacPolicyDesc)
	def get_AbacPolicyName(self): # String
		return self.get_query_params().get('AbacPolicyName')

	def set_AbacPolicyName(self, AbacPolicyName):  # String
		self.add_query_param('AbacPolicyName', AbacPolicyName)
